System Requirements

Work in progress. I'm still building Live Editor. In the interest of giving you a taste of what's coming, writing documentation that doesn't suck, and developing this CMS as a platform, I'm letting you take a peek as I work on the documentation.

Get notified when it's ready »

All you need to run Live Editor is a supported web browser. Here are the details.

Desktop browsers

The following browsers and minimum versions are supported on your desktop or laptop:

Stuck with Internet Explorer 6, 7, 8, or 9? Try installing Google Chrome Frame so you can use Live Editor.

Mobile Browsers

The following browsers and minimum versions are supported on your tablet or smartphone:

  • Apple Safari on iOS 6+
  • Google Chrome on iOS 6+
  • Default Browser on Android 2.3+